Mon Jun 24 18:55:51 UTC 2013  Adam Mitz  <mitza@ociweb.com>

        * templates/make.mpd:

          Extend the DEPLIBS handling of static libraries to workspaces
          that don't use -static and have a mix of static and shared.
          With this change, shared libs and executables will be re-linked
          when the static libs they use are changed.
          Also, make sure postbuild doesn't run in parallel with the normal
          build steps and use "-include" to suppress warnings (gnu make only).

Thu Nov 22 09:19:24 UTC 2012  Johnny Willemsen  <jwillemsen@remedy.nl>

        * prj_install.pl:
          Extended shared library installation for debian packaging

Tue Nov 20 18:27:27 UTC 2012  Johnny Willemsen  <jwillemsen@remedy.nl>

        * config/lzo1.mpb:
        * config/lzo2.mpb:
          Fixed expand parts

Fri Jul  6 16:46:47 UTC 2012  Chad Elliott  <elliott_c@ociweb.com>

        * modules/Creator.pm:
        * modules/TemplateParser.pm:
        * modules/WorkspaceCreator.pm:

          Fixed "Useless use of hash element in void context" and "Use of
          uninitialized value $_ in concatenation" warnings.

Fri Jun 22 14:31:02 UTC 2012  Chad Elliott  <elliott_c@ociweb.com>

        * templates/vc10.mpd:

          Modified to allow setting 'BasicRuntimeChecks' regardless of the
          'optimize' setting.

Wed Jun  6 13:09:54 UTC 2012  Johnny Willemsen  <jwillemsen@remedy.nl>

        * modules/ProjectCreator.pm:
          Handle tpp files as template files

        * docs/README
          Mention vc11

Fri Apr 27 13:31:52 UTC 2012  Johnny Willemsen  <jwillemsen@remedy.nl>

        * templates/vc8platforms.mpt:
        * templates/vc10platforms.mpt:
          Updated WinCE platforms

Fri Mar 30 13:45:44 UTC 2012  Adam Mitz  <mitza@ociweb.com>

        * modules/WorkspaceCreator.pm:
          In topname(), recognize Windows drive-letter paths as absolute.

Thu Mar  8 22:41:34 UTC 2012  Adam Mitz  <mitza@ociweb.com>

        * modules/Depgen/Preprocessor.pm:

          Cached results of full path to #included files need to be
          kept separately for each directory of input files.

Thu Mar  8 06:50:28 UTC 2011  Martin Corino  <mcorino@remedy.nl>

        * modules/TemplateParser.pm:

          Fix to solve problems with IDL projects using the combination of
          setting 'gendir' and defining custom output files (in separate
          directory/ies *not* equal to 'gendir').

Wed Mar  7 19:24:02 UTC 2012  Brian Johnson  <johnsonb@ociweb.com>

        * clone_build_tree.pl:

          Adding flag to allow linking files normally avoided, but not part of
          -l flag operations.

Mon Feb 27 21:33:06 UTC 2012  Adam Mitz  <mitza@ociweb.com>

        * docs/html/MakeProjectCreator.css:
        * docs/html/MakeProjectCreator.html:

          HTML documentation update from Kevin Stanley of OCI.

Tue Feb 21 20:13:24 UTC 2012  Adam Mitz  <mitza@ociweb.com>

        * templates/vc10.mpd:

          Support multiple source files with the same name (in different
          directories) in a single project.

Tue Jan 24 19:01:18 UTC 2012  Chip Jones  <jonesc@ociweb.com>

        * ChangeLog:
          Added changelog entry for -workers options.

Tue Jan 24 18:26:46 UTC 2012  Chip Jones  <jonesc@ociweb.com>

        * docs/MPC.sgml:
        * docs/USAGE:
        * docs/html/MakeProjectCreator.html:

          Added documentation for -workers options.

Mon Jan 16 22:01:41 UTC 2012  Chip Jones  <jonesc@ociweb.com>

        * modules/Creator.pm:

          Modifications to support multiprocess MPC.

        * modules/Depgen/DependencyEditor.pm:
        * modules/Depgen/Driver.pm:

          Modified dependency generator to support appending to existing
          files and generating dependencies for IDL files.

        * modules/Driver.pm:
        * modules/Options.pm:
        * modules/Parser.pm:
        * modules/ProjectCreator.pm:
        * modules/TemplateParser.pm:
        * modules/WorkspaceCreator.pm:

          Modified MPC to generate projects in separate processes.
          This experimental feature is enabled with the
          command-line option '-workers.' It's behavior can
          be modified with the '-workers_dir' and '-workers_port'
          directives.

          This is a merge of work done in the 'mpc_performance' branch.

Tue Dec 20 11:42:28 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * modules/VC11ProjectCreator.pm:
        * modules/VC11WorkspaceCreator.pm:
        * templates/vc11dll.mpt:
        * templates/vc11exe.mpt:
        * templates/vc11lib.mpt:
        * templates/vc11libexe.mpt:
        * templates/vc11platforms.mpt:
          Extended support for vc11

        * modules/VC7ProjectCreator.pm:
          Fixed typo

Mon Dec 19 14:55:30 UTC 2011  James H. Hill  <hillj at cs dot iupui dot edu>

        * config/udm.mpb:

          Added support for Debug/Release configurations.

Sat Dec 17 21:40:53 UTC 2011  James H. Hill  <hillj at cs dot iupui dot edu>

        * templates/wix.mpd:

          Added support for using the use_lib_modifier setting for
          the non-extended template.

Sat Dec 17 21:11:08 UTC 2011  James H. Hill  <hillj at cs dot iupui dot edu>

        * config/udm.mpb:

          Changes libs declaration to lit_libs since there is no
          differentiation between debug and release import libraries.

Fri Dec 16 17:06:05 UTC 2011  James H. Hill  <hillj at cs dot iupui dot edu>

        * config/portico.mpb:

          Base project for Portico implementation of HLA.

Thu Dec 15 04:21:11 UTC 2011  Adam Mitz  <mitza@ociweb.com>

        * templates/makedll.mpt:

          Cygwin doesn't use -fPIC, GCC warns if it's present.

Tue Dec 13 21:04:44 UTC 20111  Trevor Fields  <fields_t@ociweb.com>

        * rpm/buildrpm.sh:

          Removed potential of running the check-buildroot script.

Mon Dec 12 19:03:08 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * modules/Options.pm:
        * modules/VC11ProjectCreator.pm:
        * modules/VC11WorkspaceCreator.pm:
          Added vc11 type, looks like the project format is still the same
          as with vc10, but this way we can use -type vc11 in some experimental
          builds

Wed Dec  7 23:47:24 UTC 2011  Trevor Fields  <fields_t@ociweb.com>

        * rpm/buildrpm.sh:
          Fixes to build on systems where rpmbuild uses buildroot.

Mon Dec  5 15:32:37 UTC 2011  Adam Mitz  <mitza@ociweb.com>

        * docs/USAGE:

          Removed obsolete note about a default -type.

Mon Dec  5 15:17:04 UTC 2011  Chad Elliott  <elliott_c@ociweb.com>

        * modules/Creator.pm:
        * modules/TemplateParser.pm:

          Fixed a bug where the inner-most template scope was usable at any
          given point within a template.  Thanks to Adam Mitz for helping me
          debug this and to Holger Schönstedt for bringing this to my
          attention.

        * docs/templates/make.txt:
        * templates/make.mpd:
        * templates/makedll.mpt:

          Added a 'ccflags' template variable to allow users to specify C++
          compiler options and a 'notparallel' template variable to allow
          users to control whether or not a .NOTPARALLEL is added to the
          makefile.

        * templates/wix.mpd:

          Fixed whitespace.

Wed Nov 30 21:33:46 UTC 2011  Trevor Fields  <fields_t@ociweb.com>

        * rpm/buildrpm.sh:

          Fixes to correctly gather packager information.
          Changes so rpm can be built by non root user.

Mon Nov  7 15:37:29 UTC 2011  Adam Mitz  <mitza@ociweb.com>

        * docs/README:

          Typo fix.

Thu Nov  3 12:00:45 UTC 2011  Chad Elliott  <elliott_c@ociweb.com>

        * docs/html/MakeProjectCreator.html:

          Corrected the list of options ignored by the workspace 'cmdline'
          setting.

Wed Nov  2 21:06:18 UTC 2011  James H. Hill  <hillj at cs dot iupui dot edu>

        * templates/wix.mpd:

          Added support for processing projects with custom_only set.

Wed Oct 19 19:11:50 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * config/openmp.mpb:

          Base project for openmp.

Mon Oct 17 18:33:05 UTC 2011  Chad Elliott  <elliott_c@ociweb.com>

        * templates/make.mpd:
        * docs/templates/make.txt:

          Define CFLAGS, but only if the 'cflags' template variable has been
          defined.

Thu Oct  6 12:40:46 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * docs/README:
        * docs/templates/automake.txt:
        * docs/templates/bmake.txt:
        * docs/templates/cc.txt:
        * docs/templates/cdt6cproject.txt:
        * docs/templates/cdt6project.txt:
        * docs/templates/common.txt:
        * docs/templates/ghs.txt:
        * docs/templates/make.net.txt:
        * docs/templates/make.txt:
        * docs/templates/rpmspec.txt:
        * docs/templates/vc10.txt:
        * docs/templates/vc7.txt:
        * docs/templates/vc7csharp.txt:
        * docs/templates/vc7java.txt:
        * docs/templates/vc7vb.txt:
        * docs/templates/vc8.txt:
        * docs/templates/vc8csharp.txt:
        * docs/templates/vc8java.txt:
        * docs/templates/vc8vb.txt:
        * docs/templates/wb26.txt:
        * docs/templates/wb26wrmakefile.txt:
        * docs/templates/wb26wrproject.txt:
        * docs/templates/wix.txt:
          Fuzz: added missing $Id $ string.

Thu Oct  6 12:27:57 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * modules/AutomakeProjectCreator.pm:
        * modules/AutomakeWorkspaceCreator.pm:
        * modules/BCB2007ProjectCreator.pm:
        * modules/BCB2007WorkspaceCreator.pm:
        * modules/BCB2009ProjectCreator.pm:
        * modules/BCB2009WorkspaceCreator.pm:
        * modules/BDS4ProjectCreator.pm:
        * modules/BDS4WorkspaceCreator.pm:
        * modules/BMakeProjectCreator.pm:
        * modules/BMakeWorkspaceCreator.pm:
        * modules/BorlandProjectBase.pm:
        * modules/BorlandPropertyBase.pm:
        * modules/CCProjectCreator.pm:
        * modules/CCWorkspaceCreator.pm:
        * modules/CDT6ProjectCreator.pm:
        * modules/CDT6WorkspaceCreator.pm:
        * modules/CDT7ProjectCreator.pm:
        * modules/CDT7WorkspaceCreator.pm:
        * modules/CommandHelper.pm:
        * modules/ConfigParser.pm:
        * modules/Creator.pm:
        * modules/DirectoryManager.pm:
        * modules/Driver.pm:
        * modules/EM3ProjectCreator.pm:
        * modules/EM3WorkspaceCreator.pm:
        * modules/FeatureParser.pm:
        * modules/GHSProjectCreator.pm:
        * modules/GHSPropertyBase.pm:
        * modules/GHSWorkspaceCreator.pm:
        * modules/GUID.pm:
        * modules/HTMLProjectCreator.pm:
        * modules/HTMLWorkspaceCreator.pm:
        * modules/MPC.pm:
        * modules/MWC.pm:
        * modules/MakeProjectBase.pm:
        * modules/MakeProjectCreator.pm:
        * modules/MakePropertyBase.pm:
        * modules/MakeWorkspaceBase.pm:
        * modules/MakeWorkspaceCreator.pm:
        * modules/NMakeProjectCreator.pm:
        * modules/NMakeWorkspaceCreator.pm:
        * modules/Options.pm:
        * modules/OutputMessage.pm:
        * modules/Parser.pm:
        * modules/ProjectCreator.pm:
        * modules/RpmSpecProjectCreator.pm:
        * modules/RpmSpecWorkspaceCreator.pm:
        * modules/SLEProjectCreator.pm:
        * modules/SLEWorkspaceCreator.pm:
        * modules/StringProcessor.pm:
        * modules/TemplateInputReader.pm:
        * modules/TemplateParser.pm:
        * modules/VC10ProjectCreator.pm:
        * modules/VC10WorkspaceCreator.pm:
        * modules/VC6ProjectCreator.pm:
        * modules/VC6WorkspaceCreator.pm:
        * modules/VC71ProjectCreator.pm:
        * modules/VC71WorkspaceCreator.pm:
        * modules/VC7ProjectCreator.pm:
        * modules/VC7WorkspaceCreator.pm:
        * modules/VC8ProjectCreator.pm:
        * modules/VC8WorkspaceCreator.pm:
        * modules/VC9ProjectCreator.pm:
        * modules/VC9WorkspaceCreator.pm:
        * modules/VCProjectBase.pm:
        * modules/VCPropertyBase.pm:
        * modules/Version.pm:
        * modules/WB26ProjectCreator.pm:
        * modules/WB26WorkspaceCreator.pm:
        * modules/WB30ProjectCreator.pm:
        * modules/WB30WorkspaceCreator.pm:
        * modules/WinProjectBase.pm:
        * modules/WinPropertyBase.pm:
        * modules/WinVersionTranslator.pm:
        * modules/WinWorkspaceBase.pm:
        * modules/WixProjectCreator.pm:
        * modules/WixWorkspaceCreator.pm:
        * modules/WorkspaceCreator.pm:
        * modules/WorkspaceHelper.pm:
        * modules/XMLProjectBase.pm:
        * modules/mpc_debug.pm:
          Fuzz: added missing $Id $ string.

Wed Sep 21 18:51:02 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * rpm/MPC.templ:
        * rpm/buildrpm.sh:
        * rpm/MPC.spec:
          Renamed the MPC spec file template to .templ and update the script
          to read the template and create MPC.spec. Within a source package
          we can only have one spec file and MPC is also included in the A/T/C/D
          source package which will result in two spec files

Tue Sep 20 13:34:11 UTC 2011  James H. Hill  <hillj at cs dot iupui dot edu>

        * config/tena_middleware.mpb:

          Fixed error in base project to support non-Windows environments.

Wed Aug 10 02:32:49 UTC 2011  James H. Hill  <hillj at cs dot iupui dot edu>

        * config/pintools_32bit.mpb:

          Fixed errors in the specification.

Mon Aug  1 18:16:21 UTC 2011  James H. Hill  <hillj at cs dot iupui dot edu>

        * config/pintools_32bit.mpb:

          New base project for building a Pintool. This base project
          only supports 32-bit Linux and Windows operating systems.

Thu Jun 30 06:58:25 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * config/ndds_example_ts_defaults.mpb:
          New base project for ndds to generate example code

Thu Jun 16 20:16:29 UTC 2011  Adam Mitz  <mitza@ociweb.com>

        * templates/vc10.mpd:

          When creating static libs, don't provide dependent libs as the
          AdditionalDependencies for the lib tool.  This change makes
          static libs in vc10 work like vc9 (and -type make for that matter).
          Before this, a library that depended on another would end up
          including all of the dependent lib's object files.

Fri Jun 10 14:51:32 UTC 2011  Adam Mitz  <mitza@ociweb.com>

        * modules/Options.pm:

          Modification to previous commit: also handle duplicate slashes and
          other path cleanup operations.

        * templates/vc10.mpd:

          Unlike previous versions, vc10 runs all custom build steps for the
          project in the same cmd shell.  Use setlocal/endlocal when adding
          to the PATH to avoid redundant additions to PATH.

Tue May 24 14:42:55 UTC 2011  Adam Mitz  <mitza@ociweb.com>

        * modules/Options.pm:

          Trim any trailing slashes from input files (really directories)
          provided on the command line.  Leaving the trailing slash
          can result in the wrong number of ".." components in relative
          path expansions.

Thu May 19 15:29:01 UTC 2011  Adam Mitz  <mitza@ociweb.com>

        * config/glib.mpb:

          Allow customization of the include search path for GLib since
          at least some 64-bit Linux distros use "lib64" in place of "lib".

Tue May 17 15:32:48 UTC 2011  Chad Elliott  <elliott_c@ociweb.com>

        * modules/Driver.pm:
        * modules/Options.pm:
        * modules/OutputMessage.pm:

          Added debug information about the possible base projects that are
          available.

        * modules/ProjectCreator.pm:

          Fixed a bug where subtracting values that contain psuedo variables
          failed because they were not evaluated before subtracting.

Wed May 11 14:18:13 UTC 2011  Adam Mitz  <mitza@ociweb.com>

        * templates/vc10.mpd:

          Generate the msbuild LinkKeyFile element from the MPC template
          variable keyfile.  Thanks to Charles Calkins for the patch.

Wed Apr 27 14:31:56 UTC 2011  Adam Mitz  <mitza@ociweb.com>

        * modules/MakeWorkspaceCreator.pm:

          Due to the change below, the workspace makefile no longer needs
          to explicitly invoke the "generated" target in the projects.

Wed Apr 27 14:07:44 UTC 2011  Adam Mitz  <mitza@ociweb.com>

        * templates/make.mpd:

          In the custom-only case, make sure that "all" is the first target
          listed, and also have the "generated" target invoke prebuild.

Wed Apr 27 13:25:32 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * prj_install.pl:
          Added fix for OSX, thanks to Paul Fitzpatrick
          <paul at robotrebuilt dot com> for reporting this

Thu Apr 14 11:53:22 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * config/coredx_ts_defaults.mpb:
          Extended this file

Mon Apr 11 12:25:37 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * config/ndds_cck_ts_defaults.mpb:
          Added -enableEscapeChar

Mon Apr 11 01:57:43 UTC 2011  James H. Hill  <hillj at cs dot iupui dot edu>

        * config/tena_base.mpb:

          The base project for all TENA base projects. It defines
          common properties and sets the 'tena' feature.

        * config/tena_middleware.mpb:

          Base project for linking against the TENA middleware library.

Sun Apr 10 17:39:57 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * config/nddsexe_with_idl.mpb:
        * config/nddslib_with_idl.mpb:
          Removed these files, use nddslib/nddsexe with the needed ts_defaults
          base project

Sun Apr 10 12:07:15 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * config/ndds_ts_defaults.mpb:
          Removed CCK related options, this way someone can use NDDS without
          requiring him to use the CCK, if you need the cck support, use
          ndds_cck_ts_defaults as new base

Sat Apr  9 11:47:11 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * config/ndds_cck_ts_defaults.mpb:
          New base project, ndds_ts_defaults will be changed soon for just RTI
          DDS without the CCK support. If you want to use the CCK, derive
          from this base project

        * config/nddsmonitor.mpb:
          Layout change

Fri Apr  8 14:35:18 UTC 2011  Adam Mitz  <mitza@ociweb.com>

        * templates/vc8csharp.mpd:

          Added "UserControl" as a valid subtype setting for C#.

Wed Apr  6 12:02:50 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * config/coredx_ts_defaults.mpb:
        * config/coredxlib.mpb:
          Starter files for CoreDX

        * config/ndds_ts_defaults.mpb:
          Layout change

Tue Apr  5 19:25:02 UTC 2011  Phil Mesnier  <mesnier_p@ociweb.com>

        * modules/Creator.pm:
        * modules/WorkspaceCreator.pm:

          Fuzz fix.

Tue Apr  5 18:47:09 UTC 2011  Don Hudson  <hudsond@ociweb.com>

       * modules/WorkspaceCreator.pm:

         Added default_verbose_ordering() that returns false
         and used it to set verbose_ordering.  This allows derived workspace
         creators to override the default verbose ordering.

         Fixed typo in comment.

         Corrected Perl warning by replacing == with eq in an if statement.

         Modified the verbose ordering warning message to include the name
         of the project being processed.

       * modules/Driver.pm:

          Changed to set verbose ordering on the creator only if it's defined
          in the config file.

        * modules/RpmSpecWorkspaceCreator.pm:

          Added default_verbose_ordering() that returns true so that
          a warning is logged if there are missing dependencies when
          generating an rpm spec file.

Tue Apr  5 12:57:22 UTC 2011  Don Hudson  <hudsond@ociweb.com>

        * docs/html/MakeProjectCreator.html:

          Added bracketed (multiline) assigments to documentation,
          i.e., assignment of form:

          keyword <operator> [optional flags] {
                    This is
                    a multiline assignment.
          }

          Optional flags are \s to retain leading white space and
          \n to retain new lines.  These flags are be combined.

        * docs/templates/rpmspec.txt:

          Added rpm_pre_cmd keyword for %pre section of the RPM spec file
          and rpm_url for the URL tag in the RPM spec file.

        * modules/AutomakeWorkspaceCreator.pm:

          Changed to default to cacheok of false as some intermediate project
          files are deleted must be regenerated if a project is regenerated.
          This was causing an error, but the error was only being logged.

          Changed to return an error code and message when workspace generation
          fails in some cases where an error message was only logged.

        * modules/Creator.pm:

          Added parse_assignment() that pre-parses bracketed assigments
          (see comment on docs/html/MakeProjectCreator.html) before
          calling SUPER::parse_assignment(). This method takes an optional
          file handle that must be used for bracketed assignment support.

        * modules/DirectoryManager.pm:

          Corrected typo in comment.

        * modules/Parser.pm:

          Added strip_comments(), strip_lt_whitespace(), and is_blank_line().

        * modules/ProjectCreator.pm:

          Added file handle parse_assignment and related method calls for
          bracketed assignment support.  See comment on modules/Creator.pm.

          Added case sensitivity logic to already_added() similar to other places in code.

        * modules/RpmSpecWorkspaceCreator.pm:

          Changed write_and_compare_file() to return 1 instead of undef as method
          must now return status.

          Added %pre section and URL tag to RPM spec file generation.

        * modules/StringProcessor.pm:

          Changed parse_assignment() to not strip ending new line
          as later parsing may need it.

        * modules/WorkspaceCreator.pm:

          Added file handle parse_assignment and related method calls for
          bracketed assignment support.  See comment on modules/Creator.pm.

          Changed to return an error code and message when workspace generation
          fails in some cases where an error message was only logged.

          Added default_cacheok() which returns true and is used to set 'cacheok'
          so this method can be overridden when 'cacheok' needs to be false.

Fri Mar 18 15:07:53 UTC 2011  Adam Mitz  <mitza@ociweb.com>

        * docs/templates/vc8csharp.txt:
        * templates/vc8csharp.mpd:

          Added the "PlatformTarget" template variable for C#.

Tue Mar 15 14:54:48 UTC 2011  Adam Mitz  <mitza@ociweb.com>

        * templates/vc10.mpd:
        * docs/templates/vc10.txt:

          Added the "PlatformToolset" template variable.

        * modules/ProjectCreator.pm:
        * docs/README:

          Allow the "*" replacement for assignments to the libs keyword.

Wed Mar  9 13:51:00 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * config/ndds_ts_defaults.mpb:

          Added PLATFORM_NDDS_ARGS at the suggestion of Johnny Willemsen.

Thu Mar  3 18:51:23 UTC 2011  Chad Elliott  <elliott_c@ociweb.com>

        * docs/html/RpmSpec.html:

          Fixed html errors and warnings.

        * modules/WorkspaceCreator.pm:

          Fixed a bug where a project added by an aggregated workspace
          containing a relative path would not be recognized as a duplicate
          if the same project were added by another workspace without a
          relative path.

Tue Feb 15 16:02:17 UTC 2011  Adam Mitz  <mitza@ociweb.com>

        * MPC version 3.9.0 released.

Local Variables:
mode: change-log
add-log-time-format: (lambda () (progn (setq tz (getenv TZ)) (set-time-zone-rule UTC) (setq time (format-time-string %a %b %e %H:%M:%S %Z %Y (current-time))) (set-time-zone-rule tz) time))
indent-tabs-mode: nil
End:
